< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package wco
  Definition Classes
    root
-  package datamodel
  Definition Classes
    wco
-  package wco
  Definition Classes
    datamodel
-  package declaration_ds
  Definition Classes
    wco
-  package dms
  Definition Classes
    declaration_ds
-  package _2
  Definition Classes
    dms
- AEOMutualRecognitionPartyIdentificationIDType
- AEOMutualRecognitionPartyRoleCodeType
- AdditionalDocumentCategoryCodeType
- AdditionalDocumentEffectiveDateTimeType
- AdditionalDocumentIdentificationIDType
- AdditionalDocumentLPCOExemptionCodeType
- AdditionalDocumentNameTextType
- AdditionalDocumentTypeCodeType
- AdditionalInformationStatementCodeType
- AdditionalInformationStatementDescriptionTextType
- AdditionalInformationStatementTypeCodeType
- AddressCityNameTextType
- AddressCountryCodeType
- AddressCountrySubDivisionCodeType
- AddressCountrySubDivisionNameTextType
- AddressLineTextType
- AddressPostcodeIDType
- AddressTypeCodeType
- AgentFunctionCodeType
- AgentIdentificationIDType
- AgentNameTextType
- AmendmentChangeReasonCodeType
- ArrivalTransportMeansIdentificationIDType
- ArrivalTransportMeansIdentificationTypeCodeType
- ArrivalTransportMeansModeCodeType
- ArrivalTransportMeansNameTextType
- ArrivalTransportMeansTypeCodeType
- AuthenticationAuthenticationTextType
- AuthenticatorNameTextType
- AuthorisationHolderCategoryCodeType
- AuthorisationHolderIdentificationIDType
- BorderTransportMeansIdentificationIDType
- BorderTransportMeansIdentificationTypeCodeType
- BorderTransportMeansModeCodeType
- BorderTransportMeansNameTextType
- BorderTransportMeansRegistrationNationalityCodeType
- BorderTransportMeansTypeCodeType
- BuyerIdentificationIDType
- BuyerNameTextType
- CarrierIdentificationIDType
- CarrierNameTextType
- ChargeDeductionChargesTypeCodeType
- ChargeDeductionOtherChargeDeductionAmountType
- ClassificationBindingTariffReferenceIDType
- ClassificationIdentificationIDType
- ClassificationIdentificationTypeCodeType
- ClassificationNameCodeType
- CommodityDescriptionTextType
- CommunicationIdentificationIDType
- CommunicationTypeCodeType
- ConsigneeIdentificationIDType
- ConsigneeNameTextType
- ConsignmentContainerCodeType
- ConsignorIdentificationIDType
- ConsignorNameTextType
- ContactNameTextType
- CurrencyExchangeCurrencyTypeCodeType
- CustomsValuationFreightChargeAmountType
- CustomsValuationMethodCodeType
- DangerousGoodsUNDGIDType
- DeclarantIdentificationIDType
- DeclarantNameTextType
- DeclarationAcceptanceDateTimeType
- DeclarationDeclarationOfficeIDType
- DeclarationFunctionCodeType
- DeclarationFunctionalReferenceIDType
- DeclarationGoodsItemQuantityType
- DeclarationIdentificationIDType
- DeclarationInvoiceAmountType
- DeclarationIssueDateTimeType
- DeclarationIssueLocationIdentificationIDType
- DeclarationLoadingListQuantityType
- DeclarationSpecificCircumstancesCodeCodeType
- DeclarationTotalGrossMassMeasureType
- DeclarationTotalPackageQuantityType
- DeclarationTypeCodeType
- DepartureTransportMeansIdentificationIDType
- DepartureTransportMeansIdentificationTypeCodeType
- DepartureTransportMeansModeCodeType
- DepartureTransportMeansNameTextType
- DepartureTransportMeansTypeCodeType
- DestinationCountryCodeType
- DestinationRegionIDType
- DomesticDutyTaxPartyIdentificationIDType
- DomesticDutyTaxPartyRoleCodeType
- DutyTaxFeeAdValoremTaxBaseAmountType
- DutyTaxFeeDeductAmountType
- DutyTaxFeeDutyRegimeCodeType
- DutyTaxFeeQuotaOrderIDType
- DutyTaxFeeSpecificTaxBaseQuantityType
- DutyTaxFeeTypeCodeType
- ExitOfficeIdentificationIDType
- ExportCountryCountryCodeType
- ExporterIdentificationIDType
- ExporterNameTextType
- FreightPaymentMethodCodeType
- GoodsLocationIdentificationIDType
- GoodsLocationNameTextType
- GoodsLocationTypeCodeType
- GoodsMeasureGrossMassMeasureType
- GoodsMeasureNetNetWeightMeasureType
- GoodsMeasureTariffQuantityType
- GoodsShipmentExitDateTimeType
- GoodsShipmentTransactionNatureCodeType
- GovernmentAgencyGoodsItemCustomsValueAmountType
- GovernmentAgencyGoodsItemStatisticalValueAmountType
- GovernmentAgencyGoodsItemTransactionNatureCodeType
- GovernmentProcedureCurrentCodeType
- GovernmentProcedurePreviousCodeType
- GuaranteeOfficeIdentificationIDType
- ImporterIdentificationIDType
- ImporterNameTextType
- InvoiceIdentificationIDType
- InvoiceIssueDateTimeType
- InvoiceLineItemChargeAmountType
- ItineraryRoutingCountryCodeType
- LoadingLocationIdentificationIDType
- LoadingLocationNameTextType
- ManufacturerIdentificationIDType
- ManufacturerNameTextType
- ObjectFactory
- ObligationGuaranteeAccessCodeType
- ObligationGuaranteeAmountAmountType
- ObligationGuaranteeIdentificationIDType
- ObligationGuaranteeReferenceIDType
- ObligationGuaranteeSecurityDetailsCodeType
- OriginCountryCodeType
- OriginRegionIDType
- OriginTypeCodeType
- PackagingHeightMeasureType
- PackagingLengthMeasureType
- PackagingMarksNumbersIDType
- PackagingPackingMaterialDescriptionTextType
- PackagingQuantityQuantityType
- PackagingTypeCodeType
- PackagingVolumeMeasureType
- PackagingWidthMeasureType
- PayerIdentificationIDType
- PayerNameTextType
- PaymentMethodCodeType
- PaymentPaymentAmountType
- PaymentTaxAssessedAmountType
- PointerDocumentSectionCodeType
- PointerTagIDType
- PresentationOfficeIdentificationIDType
- PreviousDocumentCategoryCodeType
- PreviousDocumentIdentificationIDType
- PreviousDocumentTypeCodeType
- RefundRecipientPartyIdentificationIDType
- RefundRecipientPartyNameTextType
- SealIdentificationIDType
- SellerIdentificationIDType
- SellerNameTextType
- SubmitterIdentificationIDType
- SubmitterNameTextType
- SubmitterRoleCodeType
- SupervisingOfficeIdentificationIDType
- SuretyIdentificationIDType
- SuretyNameTextType
- TradeTermsConditionCodeType
- TradeTermsCountryRelationshipCodeType
- TradeTermsDescriptionTextType
- TradeTermsLocationIDType
- TradeTermsLocationNameTextType
- TransportEquipmentIdentificationIDType
- UCRIdentificationIDType
- UCRTraderAssignedReferenceIDType
- ValuationAdjustmentAdditionCodeType
- WarehouseIdentificationIDType
- WarehouseTypeCodeType
- WriteOffAmountAmountType
- WriteOffQuantityQuantityType

c

wco.datamodel.wco.declaration_ds.dms._2

# TradeTermsLocationIDType 

###

#### class TradeTermsLocationIDType extends IDType

    <?xml version="1.0" encoding="UTF-8"?><WCOID xmlns:udt="urn:un:unece:uncefact:data:standard:UnqualifiedDataType:6" xmlns:xs="http://www.w3.org/2001/XMLSchema">L002</WCOID>

    <?xml version="1.0" encoding="UTF-8"?><WCOFormat xmlns:udt="urn:un:unece:uncefact:data:standard:UnqualifiedDataType:6" xmlns:xs="http://www.w3.org/2001/XMLSchema">an..17</WCOFormat>

Java class for TradeTermsLocationIDType complex type.

The following schema fragment specifies the expected content contained within this class.

    <complexType name="TradeTermsLocationIDType">
      <simpleContent>
        <restriction base="<urn:un:unece:uncefact:data:standard:UnqualifiedDataType:6>IDType">
        </restriction>
      </simpleContent>
    </complexType>

Linear Supertypes
IDType, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. TradeTermsLocationIDType
2. IDType
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new TradeTermsLocationIDType()

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @native() @throws( ... )
6.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
7.  def equals(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
8.  def finalize(): Unit
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )
9.  final def getClass(): Class[_]
   Definition Classes
     AnyRef → Any
   Annotations
     @native()
10.  def getSchemeAgencyID(): String

    Gets the value of the schemeAgencyID property.

    Gets the value of the schemeAgencyID property.

    returns

      possible object is ``

    Definition Classes
      IDType
11.  def getSchemeAgencyName(): String

    Gets the value of the schemeAgencyName property.

    Gets the value of the schemeAgencyName property.

    returns

      possible object is ``

    Definition Classes
      IDType
12.  def getSchemeDataURI(): String

    Gets the value of the schemeDataURI property.

    Gets the value of the schemeDataURI property.

    returns

      possible object is ``

    Definition Classes
      IDType
13.  def getSchemeID(): String

    Gets the value of the schemeID property.

    Gets the value of the schemeID property.

    returns

      possible object is ``

    Definition Classes
      IDType
14.  def getSchemeName(): String

    Gets the value of the schemeName property.

    Gets the value of the schemeName property.

    returns

      possible object is ``

    Definition Classes
      IDType
15.  def getSchemeURI(): String

    Gets the value of the schemeURI property.

    Gets the value of the schemeURI property.

    returns

      possible object is ``

    Definition Classes
      IDType
16.  def getSchemeVersionID(): String

    Gets the value of the schemeVersionID property.

    Gets the value of the schemeVersionID property.

    returns

      possible object is ``

    Definition Classes
      IDType
17.  def getValue(): String

    Gets the value of the value property.

    Gets the value of the value property.

    returns

      possible object is ``

    Definition Classes
      IDType
18.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
19.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
20.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
21.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
22.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
23.  def setSchemeAgencyID(value: String): Unit

    Sets the value of the schemeAgencyID property.

    Sets the value of the schemeAgencyID property.

    value

      allowed object is ``

    Definition Classes
      IDType
24.  def setSchemeAgencyName(value: String): Unit

    Sets the value of the schemeAgencyName property.

    Sets the value of the schemeAgencyName property.

    value

      allowed object is ``

    Definition Classes
      IDType
25.  def setSchemeDataURI(value: String): Unit

    Sets the value of the schemeDataURI property.

    Sets the value of the schemeDataURI property.

    value

      allowed object is ``

    Definition Classes
      IDType
26.  def setSchemeID(value: String): Unit

    Sets the value of the schemeID property.

    Sets the value of the schemeID property.

    value

      allowed object is ``

    Definition Classes
      IDType
27.  def setSchemeName(value: String): Unit

    Sets the value of the schemeName property.

    Sets the value of the schemeName property.

    value

      allowed object is ``

    Definition Classes
      IDType
28.  def setSchemeURI(value: String): Unit

    Sets the value of the schemeURI property.

    Sets the value of the schemeURI property.

    value

      allowed object is ``

    Definition Classes
      IDType
29.  def setSchemeVersionID(value: String): Unit

    Sets the value of the schemeVersionID property.

    Sets the value of the schemeVersionID property.

    value

      allowed object is ``

    Definition Classes
      IDType
30.  def setValue(value: String): Unit

    Sets the value of the value property.

    Sets the value of the value property.

    value

      allowed object is ``

    Definition Classes
      IDType
31.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
32.  def toString(): String
    Definition Classes
      AnyRef → Any
33.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
34.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
35.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @throws( ... )

### Inherited from IDType

### Inherited from AnyRef

### Inherited from Any

### Ungrouped